Package com.microsoft.sqlserver.jdbc

## Interface ISQLServerConnection43

All Superinterfaces:
  `java.lang.AutoCloseable`, `java.sql.Connection`, `ISQLServerConnection`, `java.sql.Wrapper`

All Known Implementing Classes:
  `SQLServerConnection43`

    public interface ISQLServerConnection43
    extends ISQLServerConnection

### Field Summary

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Fields inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerConnection

`TRANSACTION_SNAPSHOT`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setShardingKey​(java.sql.ShardingKey shardingKey)`
`void` `setShardingKey​(java.sql.ShardingKey shardingKey, java.sql.ShardingKey superShardingKey)`
`boolean` `setShardingKeyIfValid​(java.sql.ShardingKey shardingKey, int timeout)`
`boolean` `setShardingKeyIfValid​(java.sql.ShardingKey shardingKey, java.sql.ShardingKey superShardingKey, int timeout)`

### Methods inherited from interface java.sql.Connection

`abort, beginRequest, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, endRequest, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, nativeSQL, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerConnection

`getClientConnectionId`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### setShardingKey

    void setShardingKey​(java.sql.ShardingKey shardingKey)
                 throws SQLServerException

Specified by:
  `setShardingKey` in interface `java.sql.Connection`
Throws:
  `SQLServerException`

#### setShardingKey

    void setShardingKey​(java.sql.ShardingKey shardingKey,
                        java.sql.ShardingKey superShardingKey)
                 throws SQLServerException

Specified by:
  `setShardingKey` in interface `java.sql.Connection`
Throws:
  `SQLServerException`

#### setShardingKeyIfValid

    boolean setShardingKeyIfValid​(java.sql.ShardingKey shardingKey,
                                  int timeout)
                           throws SQLServerException

Specified by:
  `setShardingKeyIfValid` in interface `java.sql.Connection`
Throws:
  `SQLServerException`

#### setShardingKeyIfValid

    boolean setShardingKeyIfValid​(java.sql.ShardingKey shardingKey,
                                  java.sql.ShardingKey superShardingKey,
                                  int timeout)
                           throws SQLServerException

Specified by:
  `setShardingKeyIfValid` in interface `java.sql.Connection`
Throws:
  `SQLServerException`